/*
This source file is part of HGamer3D
(A project to enable 3D game development in Haskell)
For the latest info, see http://www.althainz.de/HGamer3D.html

Copyright 2011 Dr. Peter Althainz

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// 
// ClassPtr.h
// 

typedef struct hg3dclass_struct {
	void *ptr;
	void *fptr;
} hg3dclass_struct;

void *getOISClassPtr(hg3dclass_struct inSt, const char* className);
typedef void ClassJoyStickListener; 
hg3dclass_struct getOISClass_JoyStickListener(void *ptrIn);

typedef void ClassVector3; 
hg3dclass_struct getOISClass_Vector3(void *ptrIn);

typedef void ClassKeyboard; 
hg3dclass_struct getOISClass_Keyboard(void *ptrIn);

typedef void ClassMouseListener; 
hg3dclass_struct getOISClass_MouseListener(void *ptrIn);

typedef void ClassMouse; 
hg3dclass_struct getOISClass_Mouse(void *ptrIn);

typedef void ClassButton; 
hg3dclass_struct getOISClass_Button(void *ptrIn);

typedef void ClassJoyStickState; 
hg3dclass_struct getOISClass_JoyStickState(void *ptrIn);

typedef void ClassConditionalEffect; 
hg3dclass_struct getOISClass_ConditionalEffect(void *ptrIn);

typedef void ClassMouseEvent; 
hg3dclass_struct getOISClass_MouseEvent(void *ptrIn);

typedef void ClassAxis; 
hg3dclass_struct getOISClass_Axis(void *ptrIn);

typedef void ClassPov; 
hg3dclass_struct getOISClass_Pov(void *ptrIn);

typedef void ClassObject; 
hg3dclass_struct getOISClass_Object(void *ptrIn);

typedef void ClassComponent; 
hg3dclass_struct getOISClass_Component(void *ptrIn);

typedef void ClassJoyStick; 
hg3dclass_struct getOISClass_JoyStick(void *ptrIn);

typedef void ClassKeyListener; 
hg3dclass_struct getOISClass_KeyListener(void *ptrIn);

typedef void ClassInputManager; 
hg3dclass_struct getOISClass_InputManager(void *ptrIn);

typedef void ClassPeriodicEffect; 
hg3dclass_struct getOISClass_PeriodicEffect(void *ptrIn);

typedef void ClassSlider; 
hg3dclass_struct getOISClass_Slider(void *ptrIn);

typedef void ClassFactoryCreator; 
hg3dclass_struct getOISClass_FactoryCreator(void *ptrIn);

typedef void ClassEventArg; 
hg3dclass_struct getOISClass_EventArg(void *ptrIn);

typedef void ClassConstantEffect; 
hg3dclass_struct getOISClass_ConstantEffect(void *ptrIn);

typedef void ClassForceEffect; 
hg3dclass_struct getOISClass_ForceEffect(void *ptrIn);

typedef void ClassEnvelope; 
hg3dclass_struct getOISClass_Envelope(void *ptrIn);

typedef void ClassForceFeedback; 
hg3dclass_struct getOISClass_ForceFeedback(void *ptrIn);

typedef void ClassEffect; 
hg3dclass_struct getOISClass_Effect(void *ptrIn);

typedef void ClassJoyStickEvent; 
hg3dclass_struct getOISClass_JoyStickEvent(void *ptrIn);

typedef void ClassMouseState; 
hg3dclass_struct getOISClass_MouseState(void *ptrIn);

typedef void ClassRampEffect; 
hg3dclass_struct getOISClass_RampEffect(void *ptrIn);

typedef void ClassInterface; 
hg3dclass_struct getOISClass_Interface(void *ptrIn);

typedef void ClassKeyEvent; 
hg3dclass_struct getOISClass_KeyEvent(void *ptrIn);

typedef void ClassException; 
hg3dclass_struct getOISClass_Exception(void *ptrIn);

